import React from 'react';
export declare type pathType = 'top' | 'bottom' | 'left' | 'right';
interface ScrollAnimationItemProps {
    children: React.ReactNode;
    style?: React.CSSProperties;
    delay?: number;
    duration?: number;
    path: pathType;
}
export default function ScrollAnimationItem({ children, delay, duration, path, ...rest }: ScrollAnimationItemProps): JSX.Element;
export {};
